Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/SOCK_Connector.h File Reference

`#include "ace/SOCK_Stream.h"`
`#include "ace/Time_Value.h"`
`#include "ace/SOCK_Connector.i"`

Include dependency graph for SOCK_Connector.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_SOCK_Connector
| Defines a factory that actively connects to a remote IP address and TCP port, creating a new `ACE_SOCK_Stream` object. More...

## Detailed Description

Id:
  SOCK_Connector.h,v 4.32 2003/07/19 19:04:13 dhinton Exp

Author:
  Doug Schmidt <schmidt@cs.wustl.edu>